<?php

namespace ModulesGarden\ProxmoxAddon\App\Events\Vps;

use MGProvision\Proxmox\v2\interfaces\VmInterface;
use ModulesGarden\ProxmoxAddon\Core\Events\Event;

class VmClonedEvent extends Event
{

    protected $vm;

    public function __construct(VmInterface $vm)
    {
        $this->vm = $vm;

    }

    /**
     * @return VmInterface
     */
    public function getVm()
    {
        return $this->vm;
    }

    /**
     * @param VmInterface $vm
     */
    public function setVm($vm)
    {
        $this->vm = $vm;
    }


}